from version import VERSION
from asc.core import env
from asc.core.ABC.APIRequestor import APIRequestor


class APIDigitalOcean(APIRequestor):

    base_api_url = env.get("digitalocean__url_baseapi")
    base_headers = {
        'Authorization': f'Bearer {env.get("digitalocean__api_token")}',
        'User-Agent': f'ASC/APIRequestor v{".".join(VERSION)}',
    }

    def GET_domains(self) -> dict:
        """
        retrieve a list of all of the domains in your account.
        :return:
        """
        return self.read_response(
            self.GET('v2/domains')
        )

    def POST_domains(self, **data) -> dict:
        """
        create a new domain in your account.
        :return:
        """
        return self.read_response(
            self.POST('v2/domains', {
                'name':data.get('name'),
                'ip_address':data.get('ip_address')
            })
        )
